@tailwind base;
@tailwind components;
@tailwind utilities;

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800;900&display=swap');


.btn{
  @apply shadow-md py-3 px-6 rounded-md transition duration-300;
}

.btn-purple{
  @apply bg-bookmark-purple text-white;
}

.btn-white{
  @apply bg-bookmark-white;
}

.sidebarOption{
  @apply  flex items-center  pr-4 pl-5 rounded-r-3xl text-sm cursor-pointer text-gray-500 py-1.5;
}

.material-icons{
  @apply flex  items-center
}

.sidebarOption h3{
  @apply flex ml-2.5 text-sm font-normal;
}

.sidebarOption:hover, 
.sidebarOption:hover h3, 
.sidebarOption:hover .material-icons
 {
  @apply  bg-gray-100 text-gray-500 ;
}
 
.sidebarOption__active .material-icons{
  @apply bg-red-100 
}

.sidebarOption__active {
  @apply bg-red-100 font-bold flex items-center  pr-4 pl-5 rounded-r-3xl text-sm cursor-pointer text-gray-500;
}



.emailList__settings .material-icons{
  @apply h-8   text-gray-500 cursor-pointer 
}

.section{
  @apply w-full  flex items-center p-3.5 cursor-pointer  text-gray-500   border-0
}

.emailList__sections{
  @apply sticky   flex mr-52  bg-white border-b-0 border-gray-200 z-50
}

.section__selected1{
  @apply  text-red-500   border-b-2 border-red-500
}

.section__selected1 .material-icons{
  @apply text-red-500 
}

.section__selected1:hover {
  @apply border-b-2 border-red-500 font-bold  
}

.section__selected2:hover {
  @apply border-b-2 border-blue-500 font-bold text-blue-500
}

.section__selected3:hover {
  @apply border-b-2 border-green-700 font-bold text-green-700
}

.section:hover{
  @apply bg-gray-200 
}

.section h4{
  @apply text-sm ml-4
}

.emailRow__options{
  @apply flex items-center
}

.emailRow__options .material-icons,
input {
  @apply  text-gray-300
}

.emailRow{
  @apply flex items-center h-12  border-b border-gray-200 cursor-pointer ;
}

.row1{
  @apply border-t border-gray-200
}
.emailRow:hover{
  @apply border border-gray-200 shadow-md
}

.emailRow__message{
  @apply flex   items-center text-sm font-bold
}

.emailRow__message h4 {
  @apply w-96  whitespace-nowrap overflow-hidden text-ellipsis px-1  text-gray-800
}

.emailRow__title{
  @apply text-sm font-bold text-gray-800

}

.emailRow__time{
  @apply pr-4 text-xs font-bold  text-gray-400 block
}

.star:active{ 
  @apply text-orange-200 
}

.emailRow__description{
  @apply font-normal text-gray-500 overflow-visible
}

.icon_last{
  @apply h-8 mt-6 items-center mx-2.5 
}

.hover_point{
  @apply opacity-0 group-hover:opacity-100 flex 
}

.hover_point .material-icons{ 
  @apply p-6  text-gray-500 cursor-pointer  h-5 w-5 
}

.hangout{
  @apply p-2 text-sm  mr-6   
} 

.hangout_two{
  @apply     ml-12 text-sm font-medium
}


/*nav bar mobile */



/*.change{
  @apply bg-gray-200 h-full m-0 absolute   t-0 z-50 w-8 flex flex-col items-center justify-center
}*/ 


#menu{
  @apply w-8 h-7  mt-4 mr-0   ml-2 cursor-pointer z-0
}

.bar{
  @apply h-0.5 w-4/6 bg-white block rounded-md transition ease-in-out delay-150
}

.icon .bar{
  @apply bg-white
}

.iconmb{
  @apply   text-gray-500 cursor-pointer  h-5 w-5 
}

.iconss {
  @apply mx-4 my-4 flex 
}

.iconsss {
  @apply mx-4 my-4 flex 
}

.iconss .material-icons{
  @apply  text-gray-500 cursor-pointer  h-5 w-5 
}

.iconss h3{
  @apply flex pl-6  text-sm font-normal ml-3
}

.iconsss h3{
  @apply flex pl-6  text-sm font-normal ml-1
}